package com.wood.consumerhystrix.remote;

import org.springframework.stereotype.Component;

/**
 * Feign实现降级
 * 直接实现消费者的UserFeign接口，给每个方法设置异常时的处理
 */
@Component   // 微服务访问异常则启用降级
public class UserFeignFallback implements EurekaServiceFeign {
    @Override
    public String hello(String name) {
        return "微服务访问异常则启用降级 hello";
    }
}
