package com.wood.feignclient.controller;

import com.wood.feignclient.remote.EurekaServiceFeign;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * HelloController
 * </p>
 *
 * @author wood
 * @Date 2019/1/28
 */
@RestController
public class HelloController {

    @Autowired
    private EurekaServiceFeign eurekaServiceFeign;

    @GetMapping("/hello/{name}")
    @ResponseBody
    public String hello(@PathVariable String name){
        return eurekaServiceFeign.hello(name);
    }
}
